[问题]OOo是不是陷入了永无止境的六道轮回?

为当前最终发行版之前的所有版本提供支持
头像
ssfjhh
帖子: 1289
注册时间: 2007-11-08 21:23
来自: 中国
送出感谢: 0
接收感谢: 0

[问题]OOo是不是陷入了永无止境的六道轮回?

#1

帖子 ssfjhh » 2008-06-01 11:18

不知道哪一次更新让OOo变成了英文版,于是我就更新语言支持,提示我安装一个语言包language-support-translations-zh,当我点安装的时候,又提示”无法实施变更,首先要修复损毁的软件包,于是我就修复,但还是不行。我想到了直接安装language-support-translations-zh这个软件包,这样总行了吧?可是又提示
下列的软件包有不能满足的依赖关系:
language-support-translations-zh: 依赖: openoffice.org-help-zh-cn 但是它将不会被安装
依赖: openoffice.org-help-zh-tw 但是它将不会被安装
依赖: openoffice.org-l10n-zh-cn 但是它将不会被安装
依赖: openoffice.org-l10n-zh-tw 但是它将不会被安装
我又纳闷了,为什么这次apt-get不会自动安装所依赖的软件包了呢?见鬼了?咱自己来总行了吧?将openoffice.org-l10n-zh-tw安装上去之后所有我刚才想要装的软件包都自动安装好了,同时提示我需要将openoffice.org-writer(我只装有这个,演示和表格暂时用不到就没装)这个软件包删除。

总结发现,我只能用英文版的OOo,这是为什么呢?以前中文版的用的好好的呀? :?: :?: :?:

PS:刚才我发现thunderbird-locale-zh-cn thunderbird-locale-zh-tw这两个包怎么也被标记为无用了呢?一条autoremove就把这两个给删了。等到我打开 thunderbird的时候才发现不对,只好再把thunderbird-locale-zh-cn这个包再装上。

今天到底怎么回事?真见鬼了?
:roll: :roll: :roll: :roll:
#############以上是6月1号发生的事情,下面是今天的新情况#################################
今天抱着试试看的心理再次运行sudo apt-get install language-support-translations-zh,这次竟然没有提示卸载openoffice.org-writer,界面成中文的了。难道是儿童节ubuntu和大家开的玩笑?

顺便问个问题,省得再发贴了:我的OOo怎么跟wine出来的一样,界面是灰色的,我有那个必要吗?
附件
Screenshot-1.png
上次由 ssfjhh 在 2008-06-04 14:41,总共编辑 2 次。
这个功能如何实现?
http://yufanyufan.spaces.live.com/blog/ ... !149.entry
要实现的功能为,若当前标签页为空白页,则在当前页打开,否则新建一个标签页。
头像
bones7456
论坛版主
帖子: 8495
注册时间: 2006-04-12 20:05
来自: 杭州
送出感谢: 0
接收感谢: 8 次
联系:

#2

帖子 bones7456 » 2008-06-01 11:22

好像是最近一次升级搞的鬼:
{0}lily@LLY:~$ sudo apt-get upgrade
[sudo] password for lily:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
下列的软件包的版本将保持不变:
openoffice.org-base-core openoffice.org-calc openoffice.org-common openoffice.org-core openoffice.org-draw openoffice.org-gnome openoffice.org-gtk
openoffice.org-impress openoffice.org-style-human openoffice.org-writer python-uno
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 11 个软件未被升级。
{0}lily@LLY:~$ sudo apt-get dist-upgrade
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
正在筹划升级... 完成
下列软件包将被【卸载】:
language-support-en language-support-translations-en language-support-translations-zh language-support-zh openoffice.org-help-en-gb
openoffice.org-help-zh-cn openoffice.org-help-zh-tw openoffice.org-l10n-en-gb openoffice.org-l10n-en-za openoffice.org-l10n-zh-cn
openoffice.org-l10n-zh-tw
下列的软件包将被升级:
openoffice.org-base-core openoffice.org-calc openoffice.org-common openoffice.org-core openoffice.org-draw openoffice.org-gnome openoffice.org-gtk
openoffice.org-impress openoffice.org-style-human openoffice.org-writer python-uno
共升级了 11 个软件包,新安装了 0 个软件包,要卸载 11 个软件包,有 0 个软件未被升级。
需要下载 53.3MB 的软件包。
操作完成后,会释放 110MB 的磁盘空间。
您希望继续执行吗?[Y/n]n
中止执行。
{1}lily@LLY:~$
我就没动它了...反正OOo也不常用.
关注我的blog: ε==3
头像
adagio
论坛版主
帖子: 22109
注册时间: 2008-02-17 23:47
来自: 美丽富饶的那啥星球
送出感谢: 7 次
接收感谢: 74 次

#3

帖子 adagio » 2008-06-01 11:31

LZ信佛的 8)
明天就换大三八!
——8核CPU、8G内存、8T硬盘……
8卡交火,80寸大屏放8个……
IPv8的光纤要8条……

---------------------------------------------------------------------------------
[图片版]新手当自强(续)FAQ
[新手进阶]挂载、fstab、调整linux分区
[图片版]E17桌面环境配置手把手
zhangsong023
帖子: 768
注册时间: 2006-09-20 19:56
送出感谢: 0
接收感谢: 1 次

#4

帖子 zhangsong023 » 2008-06-01 11:33

2.4.1还没有打中文语言包,过几天再升就行了。
任何软件的发展都是六道轮回,当然只有很少一部分才可能永无止境,为永无止境喝彩吧。
头像
solcomo
帖子: 2838
注册时间: 2007-04-25 13:12
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 solcomo » 2008-06-01 11:36

笑与悲,爱与恨,流血与流泪, 在每个地方每个时间由不同的人上演, openoffice躲在命运背后,却不由自主陷入六道轮回
♜♞♝♛♚♝♞♜
♟♟♟♟♟♟♟♟
♙♙♙♙♙♙♙♙
♖♘♗♕♔♗♘♖

☠☯⚔⚓☣☦☃☕
☹☻☪☭☬⚖⚛⚜
ℜℳℬ™ ℋℯℓ℘ ℳℭ
sƂɐʍ рǀɹoʍ əɥʇ oS
头像
adagio
论坛版主
帖子: 22109
注册时间: 2008-02-17 23:47
来自: 美丽富饶的那啥星球
送出感谢: 7 次
接收感谢: 74 次

#6

帖子 adagio » 2008-06-01 11:44

老so果然是湿人 8)
明天就换大三八!
——8核CPU、8G内存、8T硬盘……
8卡交火,80寸大屏放8个……
IPv8的光纤要8条……

---------------------------------------------------------------------------------
[图片版]新手当自强(续)FAQ
[新手进阶]挂载、fstab、调整linux分区
[图片版]E17桌面环境配置手把手
头像
冲浪板
论坛版主
帖子: 7466
注册时间: 2007-05-06 8:19
送出感谢: 0
接收感谢: 5 次

#7

帖子 冲浪板 » 2008-06-01 11:45

接着装
openoffice.org-help-zh-tw
openoffice.org-l10n-zh-cn
openoffice.org-l10n-zh-tw
如何?
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#8

帖子 BigSnake.NET » 2008-06-01 12:23

aptitude ...

选择需要的方案..
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
ssfjhh
帖子: 1289
注册时间: 2007-11-08 21:23
来自: 中国
送出感谢: 0
接收感谢: 0

#9

帖子 ssfjhh » 2008-06-01 12:35

冲浪板 写了:接着装
openoffice.org-help-zh-tw
openoffice.org-l10n-zh-cn
openoffice.org-l10n-zh-tw
如何?
会提示你删掉openoffice.org-writer,我的帖子里写得很清楚。是不是有点晕?
这个功能如何实现?
http://yufanyufan.spaces.live.com/blog/ ... !149.entry
要实现的功能为,若当前标签页为空白页,则在当前页打开,否则新建一个标签页。
头像
ssfjhh
帖子: 1289
注册时间: 2007-11-08 21:23
来自: 中国
送出感谢: 0
接收感谢: 0

#10

帖子 ssfjhh » 2008-06-01 12:42

BigSnake.NET 写了:aptitude ...

选择需要的方案..
昨天我专门找到你去年年底写的那个关于aptitude的帖子,那真是超级复杂,说实话我记不住,用的时候还得再看man,我好像看到有人发贴说aptitude最好不要和apt-get混用,我一想,不能为了这条命令而放弃有超级牛力的apt-get吧?(有没有这个说法?)

另外,刚才我发现thunderbird-locale-zh-cn thunderbird-locale-zh-tw这两个包怎么也被标记为无用了呢?一条autoremove就把这两个给删了。等到我打开thunderbird的时候才发现不对,只好再把thunderbird-locale-zh-cn这个包再装上。
这个功能如何实现?
http://yufanyufan.spaces.live.com/blog/ ... !149.entry
要实现的功能为,若当前标签页为空白页,则在当前页打开,否则新建一个标签页。
funneian
帖子: 199
注册时间: 2006-06-05 17:53
来自: 四川德阳
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 funneian » 2008-06-01 13:28

??????
头像
sense
帖子: 308
注册时间: 2007-02-14 13:54
送出感谢: 0
接收感谢: 0

#12

帖子 sense » 2008-06-01 14:01

有没有可能是语言环境的问题啊?echo $LANG 看看,如果是 en 开头时打开 oo 是英文版的,export LANG=zh_CN.UTF-8 后打开 oo 就变回中文版的了。
pengkuny
帖子: 231
注册时间: 2007-11-20 12:45
来自: Hefei
送出感谢: 0
接收感谢: 0
联系:

#13

帖子 pengkuny » 2008-06-01 14:42

什么叫做“六道轮回”?
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#14

帖子 BigSnake.NET » 2008-06-01 14:44

ssfjhh 写了:
BigSnake.NET 写了:aptitude ...

选择需要的方案..
昨天我专门找到你去年年底写的那个关于aptitude的帖子,那真是超级复杂,说实话我记不住,用的时候还得再看man,我好像看到有人发贴说aptitude最好不要和apt-get混用,我一想,不能为了这条命令而放弃有超级牛力的apt-get吧?(有没有这个说法?)

另外,刚才我发现thunderbird-locale-zh-cn thunderbird-locale-zh-tw这两个包怎么也被标记为无用了呢?一条autoremove就把这两个给删了。等到我打开thunderbird的时候才发现不对,只好再把thunderbird-locale-zh-cn这个包再装上。
没问题的, 就像 apt-get 和新立得可以混用一样..
^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
lhw828
帖子: 2798
注册时间: 2007-03-15 16:58
来自: 湖北武汉
送出感谢: 2 次
接收感谢: 3 次
联系:

#15

帖子 lhw828 » 2008-06-01 16:57

更新系统能搞定的
回复

回到 “老旧版本支持”